@if DEFINED MSVCDir (
  goto :compile
) ELSE (
  goto :checkDevEnvDir
)

:checkDevEnvDir
@if DEFINED DevEnvDir (
  goto :checkJavaHome
) ELSE (
  goto :msvcError
)

:checkJavaHome
@if DEFINED JAVA_HOME (
  goto :compile
) ELSE (
  goto :javaHomeError
)

:compile:
rmdir /S /Q Release
mkdir Release
cl /O2 /I %JAVA_HOME%\include\win32 /I %JAVA_HOME%\include /I icmpLib\main\src\include /I icmpJni\main\src\include /D "WIN32" /D "_WINDOWS" /D "_USRDLL" /D "ICMPJNIBRIDGE_EXPORTS" /D "_WIN32_WINNT=0x0500" /D "_WINDLL" /D "_MBCS" /FD /MT /Fo"Release/" /Fd"Release/vc70.pdb" /W3 /c /TC .\icmpLib\main\src\c\IcmpMutex.c .\icmpJni\main\src\c\IcmpJniBridge.c .\icmpLib\main\src\c\IcmpDebug.c .\icmpLib\main\src\c\Icmp.c
@if ERRORLEVEL 1 goto :compilationError
link /OUT:"Release/IcmpJniBridge.dll" /INCREMENTAL:NO /NOLOGO /DLL /SECTION:.shared,RWS .\release\Icmp.obj .\release\IcmpDebug.obj .\release\IcmpJniBridge.obj .\release\IcmpMutex.obj Ws2_32.lib advapi32.lib
@if ERRORLEVEL 1 goto :compilationError
@echo.
@echo Compilation finished
@echo.
@exit /B 0

:msvcError
@echo.
@echo The Microsof Visual Studio environment variables are not set - please,
@echo run vcvars32.bat to setup compilation environment.
@echo.
@exit /B 1

:javaHomeError
@echo.
@echo The JAVA_HOME environment variable must be specified.
@echo.
@exit /B 1

:compilationError
@echo.
@echo Compilation failed
@echo.
@exit /B 1
